알림, 확인(ack)/해결(resolve), 규칙, 알림 채널 및 Alertmanager 수집.

GET /api/v1/alerts

GET/api/v1/alerts

알림 목록 조회

호출자 테넌트의 알림을 최신순으로 반환합니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
severityquerystring?
statusquerystring?
sincequerystring?예: 24h, 7d
rulequerystring?룰(alertname) 정확 일치
sourcequerystring?출처 정확 일치
pagequeryinteger
page_sizequeryinteger?
qquerystring?이름 부분 일치 검색
sortquerystring?정렬 키
orderquerystringasc | desc

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/alerts/{alert_id}/ack

POST/api/v1/alerts/{alert_id}/ack

알림 확인(ack)

현재 운영자가 알림을 확인(ack)한 것으로 표시합니다.

필요 권한: OPERATE

파라미터

이름위치형식필수설명
alert_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/alerts/{alert_id}/resolve

POST/api/v1/alerts/{alert_id}/resolve

알림 해결

알림을 해결됨으로 표시하여 종료합니다.

필요 권한: OPERATE

파라미터

이름위치형식필수설명
alert_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/alerts/rules

GET/api/v1/alerts/rules

알림 규칙 목록 조회

호출자 테넌트에 설정된 알림 규칙을 나열합니다.

필요 권한: VIEW

응답

상태설명
200Successful Response (object)

POST /api/v1/alerts/rules

POST/api/v1/alerts/rules

알림 규칙 생성

호출자 테넌트에 알림 규칙을 생성합니다.

필요 권한: SETTINGS

요청 본문: application/json, RuleBody

필드형식필수설명
namestringName
exprstringExpr
severitystringSeverity
for_durationstring?For Duration
channelsobject[]Channels
enabledbooleanEnabled

응답

상태설명
201Successful Response (object)
422Validation Error (HTTPValidationError)

DELETE /api/v1/alerts/rules/{rule_id}

DELETE/api/v1/alerts/rules/{rule_id}

알림 규칙 삭제

호출자 테넌트가 소유한 알림 규칙을 삭제합니다.

필요 권한: SETTINGS

파라미터

이름위치형식필수설명
rule_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/alerts/channels

GET/api/v1/alerts/channels

알림 채널 목록 조회

호출자 테넌트의 알림 채널을 나열합니다.

필요 권한: VIEW

응답

상태설명
200Successful Response (object)

POST /api/v1/alerts/channels

POST/api/v1/alerts/channels

채널 추가

호출자 테넌트에 알림 채널을 추가합니다.

필요 권한: SETTINGS

요청 본문: application/json, ChannelBody

필드형식필수설명
kindstringKind
configobjectConfig

응답

상태설명
201Successful Response (object)
422Validation Error (HTTPValidationError)

DELETE /api/v1/alerts/channels/{channel_id}

DELETE/api/v1/alerts/channels/{channel_id}

채널 삭제

호출자 테넌트가 소유한 알림 채널을 삭제합니다.

필요 권한: SETTINGS

파라미터

이름위치형식필수설명
channel_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/alerts/channels/{channel_id}/test

POST/api/v1/alerts/channels/{channel_id}/test

테스트 메시지 발송

채널을 통해 테스트 알림을 발송하여 정상 동작하는지 확인합니다.

필요 권한: SETTINGS

파라미터

이름위치형식필수설명
channel_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/alerts/silences

GET/api/v1/alerts/silences

음소거 목록 (Alertmanager)

Alertmanager에 설정된 음소거(silence)를 조회합니다.

필요 권한: VIEW

응답

상태설명
200Successful Response (object)

POST /api/v1/alerts/silences

POST/api/v1/alerts/silences

음소거 생성

노이즈가 심한 알림을 Alertmanager에서 음소거합니다.

필요 권한: OPERATE

요청 본문: application/json, SilenceBody

필드형식필수설명
matchersSilenceMatcher[]Matchers
duration_hoursnumberDuration Hours
commentstringComment

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

DELETE /api/v1/alerts/silences/{silence_id}

DELETE/api/v1/alerts/silences/{silence_id}

음소거 해제

Alertmanager 음소거를 만료(삭제)시켜 알림을 다시 활성화합니다.

필요 권한: OPERATE

파라미터

이름위치형식필수설명
silence_idpathstring

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/alerts/{alert_id}

GET/api/v1/alerts/{alert_id}

알림 상세

id로 단일 알림의 전체 상세 정보를 반환합니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
alert_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/integrations/alertmanager/webhook

POST/api/v1/integrations/alertmanager/webhook

알림 수집

Alertmanager가 푸시한 알림 배치를 수집합니다.

파라미터

이름위치형식필수설명
x-webhook-tokenheaderstring?

요청 본문: application/json, object

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

2026-09-21 기준 플랫폼에 맞춰 작성했습니다.

© Geo-MLOps